%define libxfontcache %mklibname xfontcache 1
Name: libxfontcache
Summary:  The Xfontcache Library
Version: 1.0.5
Release: %mkrel 5
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfontcache-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Obsoletes: 	%{name} < %version

%description
The Xfontcache Library

#-----------------------------------------------------------

%package -n %{libxfontcache}
Summary:  The Xfontcache Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxfontcache}
The Xfontcache Library

#-----------------------------------------------------------

%package -n %{libxfontcache}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxfontcache} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfontcache-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfontcache}-devel
Development files for %{name}

%files -n %{libxfontcache}-devel
%defattr(-,root,root)
%{_libdir}/libXfontcache.so
%{_libdir}/pkgconfig/xfontcache.pc
%{_mandir}/man3/FontCache*
%{_mandir}/man3/Xfontcache*

#-----------------------------------------------------------

%package -n %{libxfontcache}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfontcache}-devel = %{version}
Provides: libxfontcache-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfontcache}-static-devel
Static development files for %{name}

%files -n %{libxfontcache}-static-devel
%defattr(-,root,root)
%{_libdir}/libXfontcache.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfontcache-%{version}

%build
%configure2_5x	--x-includes=%{_includedir} --x-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%files -n %{libxfontcache}
%defattr(-,root,root)
%{_libdir}/libXfontcache.so.1
%{_libdir}/libXfontcache.so.1.0.0


%changelog
* Sat Dec 03 2016 adrianomorselli <adrianomorselli> 1.0.5-5uplos2016
- rebuild

* Wed Jul 20 2016 bb <bb> 1.0.5-5pclos2016
- rebuild

* Fri Jul 08 2016 bb <bb> 1.0.5-4pclos2016
- rebuild for 2016

* Sun Apr 27 2014 bb <bb> 1.0.5-3pclos2014
- rebuild against current libs

* Fri May 24 2013 Texstar <texstar at gmail.com> 1.0.5-2pclos2013
- rebuild

* Sat May 14 2011 Texstar <texstar at gmail.com> 1.0.5-1pclos2011
- update for new xorg server
